Package: groovy.org.codenarc.rule.logging

## [Groovy] Class LoggingSwallowsStacktraceRule

- groovy.org.codenarc.rule.logging.LoggingSwallowsStacktraceRule

- If you are logging an exception then the proper API is to call error(Object, Throwable), which will log the message and the exception stack trace. If you call error(Object) then the stacktrace may not be logged.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority